Package io.yellowbrick.jdbc

## Interface DriverConstants

All Known Implementing Classes:
  `OAuth2Authorizer`, `YellowbrickDriver`

    public interface DriverConstants

### Field Summary

Fields
`static String` `PG_URL_PREFIX`
`static String` `YB_JDBC_OAUTH2_AUDIENCE`
`static String` `YB_JDBC_OAUTH2_CACERT_PATH`
`static String` `YB_JDBC_OAUTH2_CLIENT_ID`
`static String` `YB_JDBC_OAUTH2_CLIENT_SECRET`
`static String` `YB_JDBC_OAUTH2_DISABLE_TRUST`
`static String` `YB_JDBC_OAUTH2_INTERACTION_MODE`
`static String` `YB_JDBC_OAUTH2_INTERACTION_MODE_BROWSER`
`static String` `YB_JDBC_OAUTH2_INTERACTION_MODE_CONSOLE`
`static String` `YB_JDBC_OAUTH2_INTERACTION_MODE_DEFAULT`
`static String` `YB_JDBC_OAUTH2_INTERACTION_MODE_DIALOG`
`static String[]` `YB_JDBC_OAUTH2_INTERACTION_MODE_OPTIONS`
`static String` `YB_JDBC_OAUTH2_ISSUER`
`static String` `YB_JDBC_OAUTH2_LOGIN_HINT`
`static String` `YB_JDBC_OAUTH2_QUIET`
`static String` `YB_JDBC_OAUTH2_SCOPES`
`static String` `YB_JDBC_OAUTH2_SCOPES_DEFAULT`
`static String` `YB_JDBC_OAUTH2_TOKEN_CACHE`
`static String` `YB_JDBC_OAUTH2_TOKEN_CACHE_DEFAULT`
`static String` `YB_JDBC_OAUTH2_TOKEN_CACHE_DISABLED`
`static String` `YB_JDBC_OAUTH2_TOKEN_CACHE_FILE`
`static String` `YB_JDBC_OAUTH2_TOKEN_CACHE_MEMORY`
`static String[]` `YB_JDBC_OAUTH2_TOKEN_CACHE_OPTIONS`
`static String[]` `YB_JDBC_OAUTH2_TOKEN_OPTIONS`
`static String` `YB_JDBC_OAUTH2_TOKEN_TYPE`
`static String` `YB_JDBC_OAUTH2_TOKEN_TYPE_ACCESS_TOKEN`
`static String` `YB_JDBC_OAUTH2_TOKEN_TYPE_DEFAULT`
`static String` `YB_JDBC_OAUTH2_TOKEN_TYPE_ID_TOKEN`
`static String` `YB_URL_PREFIX`

### Field Detail

#### YB_URL_PREFIX

    static final String YB_URL_PREFIX

See Also:
  Constant Field Values

#### PG_URL_PREFIX

    static final String PG_URL_PREFIX

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_CLIENT_ID

    static final String YB_JDBC_OAUTH2_CLIENT_ID

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_CLIENT_SECRET

    static final String YB_JDBC_OAUTH2_CLIENT_SECRET

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_ISSUER

    static final String YB_JDBC_OAUTH2_ISSUER

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_LOGIN_HINT

    static final String YB_JDBC_OAUTH2_LOGIN_HINT

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_AUDIENCE

    static final String YB_JDBC_OAUTH2_AUDIENCE

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_SCOPES

    static final String YB_JDBC_OAUTH2_SCOPES

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_SCOPES_DEFAULT

    static final String YB_JDBC_OAUTH2_SCOPES_DEFAULT

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_TOKEN_TYPE

    static final String YB_JDBC_OAUTH2_TOKEN_TYPE

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_TOKEN_TYPE_ACCESS_TOKEN

    static final String YB_JDBC_OAUTH2_TOKEN_TYPE_ACCESS_TOKEN

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_TOKEN_TYPE_ID_TOKEN

    static final String YB_JDBC_OAUTH2_TOKEN_TYPE_ID_TOKEN

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_TOKEN_TYPE_DEFAULT

    static final String YB_JDBC_OAUTH2_TOKEN_TYPE_DEFAULT

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_TOKEN_OPTIONS

    static final String[] YB_JDBC_OAUTH2_TOKEN_OPTIONS

#### YB_JDBC_OAUTH2_TOKEN_CACHE

    static final String YB_JDBC_OAUTH2_TOKEN_CACHE

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_TOKEN_CACHE_MEMORY

    static final String YB_JDBC_OAUTH2_TOKEN_CACHE_MEMORY

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_TOKEN_CACHE_FILE

    static final String YB_JDBC_OAUTH2_TOKEN_CACHE_FILE

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_TOKEN_CACHE_DISABLED

    static final String YB_JDBC_OAUTH2_TOKEN_CACHE_DISABLED

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_TOKEN_CACHE_OPTIONS

    static final String[] YB_JDBC_OAUTH2_TOKEN_CACHE_OPTIONS

#### YB_JDBC_OAUTH2_TOKEN_CACHE_DEFAULT

    static final String YB_JDBC_OAUTH2_TOKEN_CACHE_DEFAULT

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_INTERACTION_MODE

    static final String YB_JDBC_OAUTH2_INTERACTION_MODE

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_INTERACTION_MODE_BROWSER

    static final String YB_JDBC_OAUTH2_INTERACTION_MODE_BROWSER

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_INTERACTION_MODE_DIALOG

    static final String YB_JDBC_OAUTH2_INTERACTION_MODE_DIALOG

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_INTERACTION_MODE_CONSOLE

    static final String YB_JDBC_OAUTH2_INTERACTION_MODE_CONSOLE

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_INTERACTION_MODE_DEFAULT

    static final String YB_JDBC_OAUTH2_INTERACTION_MODE_DEFAULT

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_INTERACTION_MODE_OPTIONS

    static final String[] YB_JDBC_OAUTH2_INTERACTION_MODE_OPTIONS

#### YB_JDBC_OAUTH2_CACERT_PATH

    static final String YB_JDBC_OAUTH2_CACERT_PATH

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_DISABLE_TRUST

    static final String YB_JDBC_OAUTH2_DISABLE_TRUST

See Also:
  Constant Field Values

#### YB_JDBC_OAUTH2_QUIET

    static final String YB_JDBC_OAUTH2_QUIET

See Also:
  Constant Field Values